## fheroes2-pkg 0+svn20131009r3181-1

=== debian/changelog ===
fheroes2-pkg (0+svn20131009r3181-1-1) unstable; urgency=low

  * New upstream version [October 2013].
  * Save build log and do not show it during build.
  * Minor spelling correction.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Oct 2013 21:37:18 +1100

fheroes2-pkg (0+svn20130304-2-1) unstable; urgency=low

  * Upload to unstable.
  * SHA1 digests validation replaced with SHA256.
  * Fixed preconfigure error on first installation.
  * Fixed upgrade dialog on first install when chosen no hook.
  * Added "vrms" to Suggests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Sep 2013 01:35:20 +1000

fheroes2-pkg (0+svn20130304-1-2) experimental; urgency=low

  * Drop most capabilities(7) before build.
  * Call get-orig-source to fetch if orig.tar only if its not present.
  * No longer use debconf as registry (lintianisation).
  * All scripts to use share variables (reduces hard-coding).
    + renamed "postrm" --> "prerm" as latter can source variables.
  * Big debconf scripts/templates update:
    + prompt for post-invoke handler install according to its status.
    + show "manual rebuild needed" note on upgrade when hook is missing.
    + two separate messages to install and to remove hook (usability).
    + show note on first install.
    + recognise when package is updated.
    + recognise when guest package can be upgraded.
    + different logic for install/upgrade and reconfigure.
    + reset status for message to be shown on every upgrade.
    + don't spread fears regarding hook but mention "no known problems".
    + inject variables to debconf templates.
    + APT post-invoke handler not to give up future attempts to install
      if broken packages were detected.
  * README.* files are updated.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Jul 2013 02:26:41 +1000

fheroes2-pkg (0+svn20130304-1-1) experimental; urgency=low

  * Initial release (Closes: #662923).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 18 May 2013 13:46:36 +1000
