=== debian/control ===
Source: fheroes2-pkg
Section: contrib/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/fheroes2-pkg.git
Vcs-Git: git://anonscm.debian.org/users/onlyjob/fheroes2-pkg.git

Package: fheroes2-pkg
Architecture: all
Provides: ${guest:Provides}
Depends: ${misc:Depends}, build-essential
        ,${guest:Build-Depends}
Recommends: ${guest:Recommends} ,libcap2-bin
Suggests: ${guest:Suggests}
         ,vrms
Description: download, build and install fheroes2 package
 This package automatically download, build ${guest} from source code
 and install the resulting package.
 .
 Fheroes2 binaries are not distributable if built with AI due to
 licensing conflict between GPL-2 code and not-for-sale AI.
 Also Fheroes2 may contain some non-free images.
 .
 ${guest}: ${guest:Description}
