## fheroes2-pkg 0+svn20150122r3274-2

=== debian/changelog ===
fheroes2-pkg (0+svn20150122r3274-2-2) unstable; urgency=medium

  * guest: invoke `sort` with "LC_ALL=C" for reproducible tarball generation.
    (Closes: #785105).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 May 2015 19:20:29 +1000

fheroes2-pkg (0+svn20150122r3274-1-1) unstable; urgency=low

  * New upstream release of fheroes2 [January 2015].
  * Debconf translations updates:
    + Swedish (Martin Bagge, Anders Jonsson); (Closes: #781683).
    + German (Helge Kreutzmann); (Closes: #767802).
    + Dutch (Frans Spiesschaert.); (Closes: #767490).
    + Danish (Joe Dalton); (Closes: #765864).
    + French (Julien Patriarca); (Closes: #765611).
    + Portuguese (Américo Monteiro); (Closes: #764656).
  * rules/get-orig-source:
    + Corrected version parsing.
    + Generate reproducible archive.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 12 Apr 2015 05:30:29 +1000

fheroes2-pkg (0+svn20131009r3181-1-2) unstable; urgency=low

  [ Christian Perrier <bubulle@debian.org> ]
  * Debconf templates and "debian/control" are updated and reviewed by
    the debian-l10n-english team as part of the Smith review project.
    (Closes: #725467).
  * Debconf translations:
    + Russian (Yuri Kozlov).  (Closes: #729108).
    + German (Chris Leick).  (Closes: #729580).
    + French (Julien Patriarca).  (Closes: #729967).
    + Polish (Michał Kułach).  (Closes: #730062).
    + Portuguese (Américo Monteiro).  (Closes: #730072).
    + Italian (Beatrice Torracca).  (Closes: #730137).
    + Japanese (victory).  (Closes: #730169).
    + Swedish (Martin Bagge / brother).  (Closes: #730187).
    + Danish (Joe Hansen).  (Closes: #730288).
    + Spanish (Camaleón).  (Closes: #732114).
    + Czech (Michal Šimůnek).  (Closes: #751399).

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Minor update to "debian/config" to pass all variables used by debconf
    templates; minor template corrections.
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Oct 2014 05:06:00 +1100
