=== debian/control ===
Source: fheroes2-pkg
Section: contrib/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/fheroes2-pkg.git
Vcs-Git: git://anonscm.debian.org/users/onlyjob/fheroes2-pkg.git

Package: fheroes2-pkg
Architecture: all
Provides: ${guest:Provides}
Depends: ${misc:Depends}, build-essential
        ,${guest:Build-Depends}
Recommends: ${guest:Recommends} ,libcap2-bin
Suggests: ${guest:Suggests}
         ,vrms
Description: fheroes2 package downloader and builder
 This package automatically downloads the ${guest} source code,
 builds it, and installs the resulting package.
 .
 Fheroes2 binaries are not distributable if built with AI due to
 a licensing conflict between GPL-2 code and the not-for-sale AI.
 Fheroes2 may also contain some non-free images.
 .
 ${guest}: ${guest:Description}
