=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 
 PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
 PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-VER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s+(\d.*)(?:\-\d+.*)};')
+VER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | perl -ne 'print $$1 if m{(\d.*)(?:\-\d+.*)};')
 PKGG = $(patsubst %-pkg,%,$(PKG))
-VERG = $(shell dpkg-parsechangelog -l$(PKGG)/debian/changelog | perl -ne 'print $$1 if m{Version:\s+(\d.*)};')
+VERG = $(shell dpkg-parsechangelog -l$(PKGG)/debian/changelog -SVersion | perl -ne 'print $$1 if m{(\d.*)};')
 ## check if host package version (without debian revision) match full version of encapsulated guest package
 ifneq ($(VER), $(VERG))
     $(error Error: Packages' version mismatch: host(upstream part)/$(VER) != guest/$(VERG))
@@ -51,6 +51,7 @@
 
 $(PKG)_$(VER).orig.tar.xz: $(SHA_FILES)
 	mkdir $(PKG)_$(VER)
-	cp -r $(PKGG) $(PKG)_$(VER)/
-	XZ_OPT="-6v" tar -caf $(PKG)_$(VER).orig.tar.xz $(PKG)_$(VER) --exclude=*.xz --owner=root --group=root --mode=a+rX
+	cp --archive --recursive $(PKGG) $(PKG)_$(VER)/
+	find -L "$(PKG)_$(VER)" -xdev -type f -print | LC_ALL=C sort \
+        | XZ_OPT="-6v" tar -caf $(PKG)_$(VER).orig.tar.xz -T- --exclude="*.xz" --owner=root --group=root --mode=a+rX
 	$(RM) -r $(PKG)_$(VER)
